﻿Imports System.IO
Imports System.Text

Module Module1

    Sub Main(args As String())
        If args.Length < 1 Then
            Throw New ArgumentException("Aufruf: CompanySearch <file.csv>")
        End If

        ' CSV einlesen
        Dim companies = New Companies(New StreamReader(args(0), Encoding.Default))

        While True
            Console.Write("Unternehmensbezeichnung eingeben: ")
            Dim name As String = Console.ReadLine()
            If String.IsNullOrEmpty(name) Then
                Exit While
            End If

            Dim company As Company = companies.Read(name)

            If company Is Nothing Then
                Console.WriteLine("Unternehmen nicht gefunden!")
            Else
                Console.WriteLine(company.ToString() + vbLf)
            End If
        End While
    End Sub

End Module
